#include <stdio.h>
#include "app/Application.h"  // Be's BApplication class, necessary for any GUI stuff
#include "interface/Alert.h"  // Be's BAlert class

// Shows an alert.  Compile like this:
// gcc alert.cpp -lbe
int main(int argc, char ** argv)
{
   BApplication app("application/x-vnd.Sugoi-sillydemo");  // gotta have this!

   BAlert * alert = new BAlert("Hey man!", "This is an alert", "Cool!", "Groovy!", "Lame");
   int whichButton = alert->Go();
   printf("You clicked button #%i ...", whichButton);
   switch(whichButton)
   {
      case 0:  printf(" a.k.a the Cool button!\n");  break;
      case 1:  printf(" a.k.a the Groovy button!\n");  break;
      case 2:  printf(" a.k.a the Lame button!\n");  break;
   }
   return 0;
}
