/* This file is Copyright 2001 Level Control Systems.  See the included LICENSE.TXT file for details. */

package com.lcs.muscle.message;

/** Exception that is thrown if you try to access a PortableMessage
 *  field that isn't present in the PortableMessage.
 */
public class FieldNotFoundException extends PortableMessageException
{
    public FieldNotFoundException(String s)
    {
        super(s);
    }
    
    public FieldNotFoundException()
    {
        super("PortableMessage entry not found");
    }
}
